Search found 193 matches

Re: Drawing 3D solid shapes with IntelliCAD VBA from inside Excel- draws text,lines,circles but no 3D solids like boxes

Hi, First, we're talking about the IntelliCAD, not AutoCAD. And the script command requests a file with the extension scr, (not .txt as you wrote). Here is the code to call the command in VBA for excel: Public Sub SendCommandEx(iCadApp As Object) '(command "_.script" "C:\\IntelliCAD\\BONGO.txt") iCa...

Re: Drawing 3D solid shapes with IntelliCAD VBA from inside Excel- draws text,lines,circles but no 3D solids like boxes

Hi, For the VBA in Excel, please use this sub Public Sub startIcad() Dim cadObj As Object Dim AcAppClID As String AcAppClID = "ICAD.Application" On Error Resume Next 'try if IntelliCAD already is started Set cadObj = GetObject(, AcAppClID) If cadObj Is Nothing Then 'IntelliCAD is not running or not ...

Re: Alter .lsp to work with icad?

Try this: (defun c:imps (/ ans ent itm sol ss) (if (and (setq sol (car (entsel "\nSelect a 3D solid or surface: "))) (princ "\nSelect objects to imprint: ") (setq ss (ssget '((0 . "ARC,CIRCLE,LINE,*POLYLINE,ELLIPSE,SPLINE,REGION,3DSOLID")))) (progn (initget "Y N") (setq ans (cond ((getkword "\nDelet...

Re: Alter .lsp to work with icad?

Hi Hamm, In the IntelliCAD, we can use the command "SolidEdit" to imprint an object to a solid object. refer this routine: (defun c:imp (/ ans ent sol) (if (and (setq sol (car (entsel "\nSelect a 3D solid or surface: "))) (princ "\nSelect objects to imprint: ") (setq ent (car (entsel "\nSelect a obj...

Re: AcquirePoint

Hi, Try to replace the Jig with this one: Public Function Jig() As Boolean Try Dim pr As PromptResult Do pr = AcEditor.Drag(Me) ' Keyword handling code If pr.Status = PromptStatus.Keyword Then Else Me.mCurJigFactorIndex += 1 End If Loop While (pr.Status <> PromptStatus.Cancel AndAlso pr.Status <> Pr...

Go to advanced search

cron